Package rdkit :: Package ML :: Package Descriptors :: Module CompoundDescriptors

[hide private]
[frames] | no frames]

# Module CompoundDescriptors

source code

    descriptor calculator for compounds defined by a composition alone
    (only the composition is required)

Classes | [hide private]

| CompoundDescriptorCalculator used for calculating descriptors

Functions | [hide private]

GetAllDescriptorNames(db, tbl1, tbl2, user='sysdba', password='masterkey') gets possible descriptor names from a database | source code

Variables | [hide private]

| countOptions = `[('NVAL', 'total number of valence electrons'),`...``

Imports: RDConfig, chemutils, os, DbConnect, Parser, Descriptors, xrange

Function Details | [hide private]

### GetAllDescriptorNames(db, tbl1, tbl2, user='sysdba', password='masterkey')

source code

    gets possible descriptor names from a database

    **Arguments**

      - db: the name of the database to use

      - tbl1: the name of the table to be used for reading descriptor values

      - tbl2: the name of the table to be used for reading notes about the
        descriptors (*descriptions of the descriptors if you like*)

      - user: the user name for DB access

      - password: the password for DB access

    **Returns**

      a 2-tuple containing:

        1) a list of column names

        2) a list of column descriptors

    **Notes**

      - this uses _Dbase.DbInfo_  and Dfunctionality for querying the database

      - it is assumed that tbl2 includes 'property' and 'notes' columns

Variables Details | [hide private]

### countOptions

Value:

      [('NVAL', 'total number of valence electrons'), ('NVAL_NO_FULL_F', 'nu
      mber of valence electrons neglecting filled f shells'), ('NVAL_NO_FULL
      _D', 'number of valence electrons neglecting filled d shells'), ('NVAL
      _NO_FULL', 'number of valence electrons neglecting filled f and d shel
      ls')]